unit OMPhaseRecord;

interface

uses
  sdDB, mDataRecord;

type
  TOMPhaseRecord = class(TMeasureBaseRecord)
  private
    FID: TsdValue;
    FSerialNo: TsdValue;

    FName: TsdValue;
    FMType: TsdValue;
    FTotalPrice: TsdValue;
    FMemoStr: TsdValue;

    FCreatePhaseID: TsdValue;
    FCreateStageID: TsdValue;

    FCurTotalPrice: TsdValue;
    FPreTotalPrice: TsdValue;
    FEndTotalPrice: TsdValue;
    FAddTotalPrice: TsdValue;
  protected
    procedure DoAfterAddFields; override;
  public
    property ID: TsdValue read FID;
    property SerialNo: TsdValue read FSerialNo;

    property Name: TsdValue read FName;
    property MType: TsdValue read FMType;
    property TotalPrice: TsdValue read FTotalPrice;
    property MemoStr: TsdValue read FMemoStr;

    property CreatePhaseID: TsdValue read FCreatePhaseID;
    property CreateStageID: TsdValue read FCreateStageID;

    property CurTotalPrice: TsdValue read FCurTotalPrice;
    property PreTotalPrice: TsdValue read FPreTotalPrice;
    property EndTotalPrice: TsdValue read FEndTotalPrice;
    property AddTotalPrice: TsdValue read FAddTotalPrice;
  end;

implementation

{ TOMPhaseRecord }

procedure TOMPhaseRecord.DoAfterAddFields;
begin
  inherited;
  FID := ValueByName('ID');
  FSerialNo := ValueByName('SerialNo');

  FName := ValueByName('Name');
  FMType := ValueByName('MType');
  FTotalPrice := ValueByName('TotalPrice');
  FMemoStr := ValueByName('MemoStr');

  FCreatePhaseID := ValueByName('CreatePhaseID');
  FCreateStageID := ValueByName('CreateStageID');

  FCurTotalPrice := ValueByName('CurTotalPrice');
  FPreTotalPrice := ValueByName('PreTotalPrice');
  FEndTotalPrice := ValueByName('EndTotalPrice');

  FAddTotalPrice := ValueByName('AddTotalPrice');
end;

end.
